
Redmine - Feature #2820

When logging in via an autologin cookie the user's last_login_on should be updated

2009-02-24 06:38 - Eric Davis

Status: Closed Start date: 2009-02-24

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

When a user logs in the User.last_login_on field is updated to the current time.  This is correct.

When a user logs in with an autologin cookie though, User.last_login_on isn't updated until their cookie expires.  This makes it

difficult to see which users have been active recently.

A few ideas for this would be:

Update User.last_login_on each time a user "logs in" with the autologin cookie (e.g. every request)

Add a new User field to track when a user was active and populate that with the time of the last request.

A better idea I haven't thought of yet....

I'm open to alternative suggestions.

(This was prompted by a issue with my System Notification plugin: https://projects.littlestreamsoftware.com/issues/2146)

Related issues:

Has duplicate Redmine - Defect #3679: When a user is accessing by means of an... Closed 2009-07-27

Associated revisions

Revision 2524 - 2009-02-25 15:59 - Jean-Philippe Lang

Fixed: When logging in via an autologin cookie the user's last_login_on should be updated (#2820).

History

#1 - 2009-02-25 15:59 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r2524. User's last_login_on is now updated when the user starts a new session using autologin cookie, not on each request.
